cURL
curl -sS -X POST 'https://apipub.firstbasehq.com/api/v1/new-joiners/{personId}/remind' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{}'import requests
url = "https://apipub.firstbasehq.com/api/v1/new-joiners/{personId}/remind"
payload = { "senderPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({senderPersonId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://apipub.firstbasehq.com/api/v1/new-joiners/{personId}/remind', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}New Joiners
Send reminder
Sends a reminder email to the specified new joiner. Optionally records the sender person for audit purposes.
POST
https://apipub.firstbasehq.com
/
api
/
v1
/
new-joiners
/
{personId}
/
remind
cURL
curl -sS -X POST 'https://apipub.firstbasehq.com/api/v1/new-joiners/{personId}/remind' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{}'import requests
url = "https://apipub.firstbasehq.com/api/v1/new-joiners/{personId}/remind"
payload = { "senderPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({senderPersonId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://apipub.firstbasehq.com/api/v1/new-joiners/{personId}/remind', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Authorizations
Prefix the value with "ApiKey" to indicate the custom authorization type
Path Parameters
Body
application/json
Request body for sending a new joiner reminder email
Optional person ID of the sender for audit purposes. When omitted, sent_by_person_id is recorded as null (triggered via API).
Response
Reminder sent successfully